#include <iostream>
#include <stdio.h>
#include <stdlib.h>
using namespace std;

short x[10001], y[10001];

int main()
{
    int n, xtmp, ytmp, doda = 0, zbir = 0, ima = 0;
    scanf("%d", &n);

    if(n == 1)
    {
        printf("0");
        return 0;
    }

    for(int i = 0; i < n; i++)
    {
        x[i] = 0;
        y[i] = 0;
    }

    for(int i = 0; i < n; i++)
    {
        scanf("%d%d", &xtmp, &ytmp);
        x[xtmp-1]++;
        y[ytmp-1]++;
    }

    for(int i = 0; i < n; i++)
    {
        zbir += doda + ima;

        if(!x[i])
            doda++;
        else
        {
            ima += x[i] - 1;
        }

        if(doda > ima)
        {
            doda -= ima;
            ima = 0;
        }
        else
        {
            ima -= doda;
            doda = 0;
        }
    }

    for(int i = 0; i < n; i++)
    {
        zbir += doda + ima;

        if(!y[i])
            doda++;
        else
        {
            ima += y[i] - 1;
        }

        if(doda > ima)
        {
            doda -= ima;
            ima = 0;
        }
        else
        {
            ima -= doda;
            doda = 0;
        }
    }

    printf("%d", zbir);

    return 0;
}